# agent-feedback-bar — Examples

## thumbs only

```html
<agent-feedback-bar-ui id="demo-basic"></agent-feedback-bar-ui>
```

## with save

```html
<agent-feedback-bar-ui id="demo-save" save-label="Save pattern"></agent-feedback-bar-ui>
```

## Usage

```html
<agent-feedback-bar-ui save-label="Save pattern"></agent-feedback-bar-ui>
el.addEventListener('feedback-rate', (e) => persist(e.detail.rating));
el.addEventListener('feedback-save', async () => {
  const name = await savePattern(...);
  el.setStatus(`Saved as "${name}"`, { lock: 'save' });
});
```
